Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8310427

[Lilliput/JDK17] Protect from running broken JFR and JVMTI code with compact headers

    XMLWordPrintable

Details

    • Enhancement
    • Resolution: Fixed
    • P4
    • repo-lilliput-17
    • repo-lilliput-17
    • hotspot
    • None

    Description

      We have at least two things missing in 17u to make Lilliput safe: JDK-8283710 and JDK-8275415. Backporting those things is intrusive and could take a while. Meanwhile, we need to protect user code from entering those paths when compact headers are enabled.

      Attachments

        Issue Links

          Activity

            People

              shade Aleksey Shipilev
              shade Aleksey Shipilev
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: